From 839a6c6c18e2f86ae4783f99af87477ede2cf058 Mon Sep 17 00:00:00 2001
From: Matheus Bernardo <matheussber@aluno.unb.br>
Date: Jun 05 2018 17:28:01 +0000
Subject: [PATCH 10/42] Merge branch 'FixDataLoss' of ssh://pagure.io/forks/matheussbernardo/kiskadee/kiskadee_ui into fixingGetApi


---

diff --git a/src/components/package/List.vue b/src/components/package/List.vue
index 6274c9f..cae86f5 100644
--- a/src/components/package/List.vue
+++ b/src/components/package/List.vue
@@ -71,7 +71,6 @@ export default {
       getterNames.allPackages
     ]),
     formatPackages () {
-      this.allPackages.map(p => console.log(p.name))
       return this.allPackages.map(p => {
         let previous = this.createPrevious(p)
         return {
diff --git a/src/components/package/PackagePage.vue b/src/components/package/PackagePage.vue
index 58fdc8b..f2f8c39 100644
--- a/src/components/package/PackagePage.vue
+++ b/src/components/package/PackagePage.vue
@@ -144,6 +144,8 @@ export default {
   mounted () {
     if (this.package) {
       this.currentPackage = this.package
+    } else {
+      this.currentPackage = this.currentPackage
     }
     this.selectAnalysisId = (this.analysis || [{id: 0}])[0].id
     this.fetchData()
diff --git a/src/store/index.js b/src/store/index.js
index f3b9238..54d7477 100644
--- a/src/store/index.js
+++ b/src/store/index.js
@@ -3,11 +3,13 @@ import Vuex from 'vuex'
 import packages from './modules/packages'
 import analysis from './modules/analysis'
 import analysisData from './modules/analysisData'
+import createPersistedState from 'vuex-persistedstate'
 
 export default new Vuex.Store({
   modules: {
     packages,
     analysisData,
     analysis
-  }
+  },
+  plugins: [createPersistedState()]
 })

